Panda3D

Public Member Functions | List of all members
LightReMutexHolder Class Reference

Similar to MutexHolder, but for a light reentrant mutex. More...

`#include "lightReMutexHolder.h"`

## Public Member Functions
| LightReMutexHolder (const LightReMutex &mutex)
| LightReMutexHolder (const LightReMutex &mutex, Thread *current_thread)
| This variant on the constructor accepts the current thread as a parameter, if it is already known, as an optimization. More...
| LightReMutexHolder (const LightReMutexHolder &copy)=delete
| LightReMutexHolder (LightReMutex *&mutex)
| If the LightReMutexHolder constructor is given a pointer to a LightReMutex object (instead of an actual object), it will first check to see if the pointer is NULL, and allocate a new LightReMutex if it is. More...
LightReMutexHolder & | operator= (const LightReMutexHolder &copy)=delete

## Detailed Description

Similar to MutexHolder, but for a light reentrant mutex.

Definition at line 25 of file lightReMutexHolder.h.

## Constructor & Destructor Documentation

## ◆ LightReMutexHolder() [1/2]

LightReMutexHolder::LightReMutexHolder | ( | const LightReMutex & | mutex,
|  | Thread * | current_thread
| ) |  |
| inline

This variant on the constructor accepts the current thread as a parameter, if it is already known, as an optimization.

Definition at line 29 of file lightReMutexHolder.I.

## ◆ LightReMutexHolder() [2/2]

LightReMutexHolder::LightReMutexHolder | ( | LightReMutex *& | mutex | ) |
| inline

If the LightReMutexHolder constructor is given a pointer to a LightReMutex object (instead of an actual object), it will first check to see if the pointer is NULL, and allocate a new LightReMutex if it is.

This is intended as a convenience for functions that may need to reference a LightReMutex at static init time, when it is impossible to guarantee ordering of initializers.

Definition at line 45 of file lightReMutexHolder.I.

The documentation for this class was generated from the following files:

- panda/src/pipeline/lightReMutexHolder.h
- panda/src/pipeline/lightReMutexHolder.I